/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2012 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   fw.h                                                                                                  */
/*            This file contains FW common definitions                                                     */
/* Project:                                                                                                */
/*            FDK for Nuvoton Notebook Embedded Controllers                                                */
/*---------------------------------------------------------------------------------------------------------*/

#ifndef __FW_H__
#define __FW_H__


#include "ver.h"

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                               DEFINITIONS                                               */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
#ifndef NPCE9mnx
#define NPCE9mnx                1
#endif




/*---------------------------------------------------------------------------------------------------------*/
/* Module Drivers exclusion                                                                                */
/*---------------------------------------------------------------------------------------------------------*/
// #undef ICU_MODULE_TYPE
// #undef
// #undef LFCG_MODULE_TYPE
// #undef HFCG_MODULE_TYPE
#undef TWD_MODULE_TYPE
#undef MIWU_MODULE_TYPE
#undef GPIO_MODULE_TYPE
#undef MSWC_MODULE_TYPE
#undef SIB_MODULE_TYPE
#undef SIO_MODULE_TYPE
#undef PS2_MODULE_TYPE
#undef MFT_MODULE_TYPE
#undef ITIM8_MODULE_TYPE
#undef PWM_MODULE_TYPE
#undef ADC_MODULE_TYPE
#undef DAC_MODULE_TYPE
#undef PECI_MODULE_TYPE
#undef SPI_MODULE_TYPE
#undef OTP_MODULE_TYPE
//#undef PMC_MODULE_TYPE
#undef KBSCAN_MODULE_TYPE
#undef FIU_MODULE_TYPE
#undef PM_CHAN_MODULE_TYPE
#undef SHM_MODULE_TYPE

/*---------------------------------------------------------------------------------------------------------*/
/* Logical Drivers exclusion                                                                               */
/*---------------------------------------------------------------------------------------------------------*/
#undef BM_MODULE_TYPE
#undef CIR_MODULE_TYPE
#undef CIRLED_MODULE_TYPE
#undef FLASH_SPI_MODULE_TYPE
#undef RSA_MODULE_TYPE
#undef TACHO_MODULE_TYPE
#undef TIMER_MODULE_TYPE


/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                             LOGICAL DRIVERS                                             */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/* I2C Module                                                                                              */
/*---------------------------------------------------------------------------------------------------------*/
//#ifndef I2C_MODULE_TYPE
//#define I2C_MODULE_TYPE                     hw_smb
//#endif


/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                           PERIPHERAL DRIVERS                                            */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/



#include "hal.h"





#endif /* __FW_H__ */

