/*---------------------------------------------------------------------------------------------------------*/
/*  Nuvoton Technology Corporation confidential                                                            */
/*                                                                                                         */
/*  Copyright (c) 2009 by Nuvoton Technology Corporation                                                   */
/*  All rights reserved                                                                                    */
/*                                                                                                         */
/*<<<------------------------------------------------------------------------------------------------------*/
/* File Contents:                                                                                          */
/*   itim8_drv.c                                                                                           */
/*            This file contains implementation of Internal 8-bit Timer (ITIM8) module driver              */
/* Project:                                                                                                */
/*            SWC HAL                                                                                      */
/*---------------------------------------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
/*                                                INCLUDES                                                 */
/*---------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------*/
#include "../../../Chips/chip.h"


/*---------------------------------------------------------------------------------------------------------*/
/* Inlcude ITIM8 driver interface                                                                          */
/*---------------------------------------------------------------------------------------------------------*/
#include "itim8_drv.h"

/*---------------------------------------------------------------------------------------------------------*/
/* Inlcude ITIM8 register definitions                                                                      */
/*---------------------------------------------------------------------------------------------------------*/
#include "../1/itim8_regs.h"

/*---------------------------------------------------------------------------------------------------------*/
/* Inherim ITIM8 driver implementation                                                                     */
/*---------------------------------------------------------------------------------------------------------*/
#include "../1/itim8_drv.c"
